/*************************************************************
HEADER STYLES
*************************************************************/
header#masthead {
    background-color: var(--green-dk);
    padding-top: 20px;
}

/*top row*/
.header__top-row {
    display: flex;
    justify-content: space-between;
}

/*logo side*/
.header__brand-row {
    padding: 0 20px;

    display: flex;
    gap: 20px;
    justify-content: start;
    align-items: center;
}

.header__logo-col {
    flex: 0 0 140px;
    max-width: 140px;
}
.header__logo-col img {
    width: 100%;
    max-width: 120px;
    height: auto;
}

.header__title-col {
    flex-grow: 1;
}
.header__title-col .site-title {
    line-height: 1;
}

/*buttons side*/
.header__buttons-row {
    padding: 0 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/*bottom row*/

.header__bottom-row {
    margin-top: 20px;
}

.nav-pills li:first-child .nav-link {
    border-left: none;
}

header a {
    color: white;
}

.register-search {
    text-align: right;
}

.site-header .logo {
    padding: 5px;
}

.site-title {
    margin-bottom: 0;
}

.navbar {
    padding: 0;
}

.navbar-nav .nav-link {
    padding: 8px 40px;
}

.dropdown-menu {
    margin: 0;
    padding: 0;
    border: none;
    border-radius: 0;
}

.primary-menu .dropdown-menu-large .menu-item {
    margin: 0;
    text-align: left;
    padding: 5px 25px;
}

.navbar-toggler {
    background-color: var(--blue-md);
    border: 1px solid var(--blue-md);
    width: 100%;
    margin: 0;
    border-radius: 0;
}

/*
.navbar-toggler-icon{
	background-image:url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255,.8)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
	border-radius: 5px;
}
*/

.menu-icon {
    display: inline-block;
    cursor: pointer;
}

.bar1,
.bar2,
.bar3 {
    width: 35px;
    height: 5px;
    background-color: white;
    margin: 6px 0;
    transition: 0.4s;
}

.change .bar1 {
    -webkit-transform: rotate(-45deg) translate(-9px, 6px);
    transform: rotate(-45deg) translate(-9px, 6px);
}

.change .bar2 {
    opacity: 0;
}

.change .bar3 {
    -webkit-transform: rotate(45deg) translate(-8px, -8px);
    transform: rotate(45deg) translate(-8px, -8px);
}

.navbar-collapse {
    justify-content: left;
}

#primary-menu {
    background: #eee;
    margin-bottom: 5rem;
    padding-top: 15px;
    padding-bottom: 15px;
}

.site-header .btn-yellow {
    border: none;
}

.site-header .btn {
    padding: 10px 15px;
}

.site-title a {
    color: white;
    text-transform: uppercase;
    font-size: 30px;
}

.site-title a:hover,
.site-title a:focus,
.site-title a:active {
    text-decoration: none;
}

.nav-pills .nav-link {
    color: white;
    text-transform: uppercase;
    font-size: 20px;
    border-radius: 0;
    border-left: 3px solid white;
    border-top: 3px solid white;
    padding: 15px 10px;
}

.nav-pills .dropdown-menu.dropdown-menu-large .nav-link {
    border: none;
    padding: 10px;
    font-size: 16px;
    text-indent: -25px;
    padding-left: 35px;
}

.nav-pills .dropdown-menu.dropdown-menu-large .nav-link:hover,
.nav-pills .dropdown-menu.dropdown-menu-large .nav-link:focus {
    background-color: #63646669;
    border-radius: 5px;
}

nav > .container-fluid {
    padding-right: 0;
}

form#searchform {
    position: fixed;
    top: 25%;
    left: 50%;
    transform: translateX(-50%);
    z-index: 101;
    width: 50vw;
    border-radius: 15px;
    line-height: 1;
    display: none;
    overflow: hidden;
    /*	box-shadow: 0px 0px 20px rgb(255 255 255 / 10%);*/
}

/*Overlay*/
div#page::before {
    content: "";
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    background: rgba(0, 0, 0, 0.7);
    z-index: 100;
}

div#page.overlay::before {
    display: block;
}

div#page.overlay .down-arrow {
    display: none;
}

/*SEARCH FORM*/

form#searchform.show {
    display: block;
}
form#searchform {
    padding: 20px;
    background: #fff;
}

form#searchform label {
    color: #000;
    margin-bottom: 20px;
    font-size: 30px;
    text-transform: uppercase;
    font-weight: 700;
}



#rlvlive {
    margin-top: 15px;
    border-radius: 15px;
    overflow: hidden;
}

form#searchform > input:focus-visible {
    outline: none;
}

div.relevanssi-live-search-results {
    position: relative;
    width: 100% !important;
    top: unset !important;
    left: unset !important;
    border-radius: 0;
}

.relevanssi-live-search-result img {
    width: 100px;
    height: 100px;
    object-fit: cover;
}

.relevanssi-live-search-result {
    display: flex;
    align-items: center;
    border-bottom: 1px solid rgba(30, 30, 30, 0.1);
    transition: all 0.15s ease-in-out;
}

.relevanssi-live-search-result:hover {
    background: rgba(85 85 85 / 15%);
}

.search-toggler {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    border: 0;
    background: transparent;
    margin-right: 10px;
    cursor: pointer;
    transition: all 0.15s ease-in-out;
}

.search-toggler__icon {
    font-size: 36px;
    color: white;
}

.search-toggler:hover,
.search-toggler:focus-visible {
    background: rgba(85 85 85 / 15%);
    outline: 2px solid white;
    outline-offset: 2px;
}

.search-toggler.search-close {
    position: fixed !important;
    top: 20% !important;
    right: 20% !important;
    z-index: 101 !important;
}

.search-toggler.search-close .search-toggler__icon {
    font-size: 30px;
}

.relevanssi-link {
    display: block;
    width: 100%;
    height: 100%;
    padding: 40px 15px;
    font-size: 20px;
    line-height: 1;
}

.relevanssi-live-search-result p {
    border-bottom: none;
}

.relevanssi-live-search-result-status p {
    border-bottom: none;
    background: #0060af;
    color: white;
    padding: 15px 20px;
    font-size: 1rem;
}

.relevanssi-live-search-result p,
.relevanssi-live-search-result a {
    color: #0060af;
}

@media (max-width: 1200px) {
    form#searchform {
        width: calc(100vw - 60px);
    }

    .search-toggler.search-close {
        right: 45px !important;
    }

    .register-search {
        text-align: center;
        margin-top: 0.75rem;
        margin-bottom: 0;
    }

    .register-search .header-search,
    .register-search .careers,
    .register-search .register,
    .register-search .donate {
        display: none;
    }

    .nav-pills .nav-link {
        font-size: 18px;
    }
}

@media (min-width: 992px) {
    .menu-item-6833,
    .menu-item-6834 {
        display: none;
    }
}

@media (max-width: 992px) {
    .dropdown-menu {
        top: 0;
    }

    #search-dropdown-button::after {
        display: none;
    }

    #search-dropdown-button + .dropdown-menu {
        display: none;
    }
}

form#searchform input#s {
    background-color: var(--blue-dk);
    text-shadow: 0 0 0 black;
    border: none;
    width: 100%;
    color: #fff;
    font-family: "CachetBookRegular";
    padding: 15px;
    font-size: 24px;
    line-height: 1;
    font-weight: 900;
    border-radius: 15px;
}

header .dropdown-menu form {
    padding: 25px;
    background-color: #636466;
    border-right: 3px solid white;
    border-bottom: 3px solid white;
    border-left: 3px solid white;
}

input::placeholder {
    font-family: "Font Awesome 5 Pro";
    color: white;
}

.fa-search:before {
    content: "\f002";
}

header .nav-pills .dropdown-menu .dropdown-item {
    border-left: none;
    background-color: #636466;
    font-size: 18px;
    color: white;
    text-transform: uppercase;
    padding: 15px 10px;
    border: 3px solid white;
    border-bottom: 1px solid white;
    transition: 0.5s ease all;
    white-space: normal;
}

header .nav-pills .dropdown-menu .dropdown-item:hover {
    background-color: white;
    color: #636466;
    border: 3px solid #636466;
    border-bottom: 1px solid #636466;
}

header .nav-pills .dropdown-menu .dropdown-item:last-of-type:hover {
    border-bottom: 3px solid #636466;
}

.dropdown-large {
    position: static !important;
}

.primary-menu .dropdown-menu {
    width: 100%;
}

.primary-menu .dropdown-menu-large {
    padding: 20px 0px;
    border: 3px solid white;
}

.primary-menu .dropdown-menu-large ul {
    padding: 0;
    margin: 0;
    list-style-type: none;
}

.primary-menu .dropdown-menu.dropdown-menu-large > li > ul > li > a {
    display: block;
    padding: 3px 20px;
    clear: both;
    font-weight: 300;
    line-height: 1.428571429;
    white-space: normal;
    text-align: left;
    border-left: none;
    font-size: 18px;
}

.primary-menu .dropdown-menu.dropdown-menu-large .menu-item a:before {
    font-family: "Font Awesome 5 Pro";
    font-style: normal;
    font-weight: 400;
    content: "\f061";
    padding-right: 10px;
}

.primary-menu .dropdown-menu-large > li ul > li > a:hover,
.primary-menu .dropdown-menu-large > li ul > li > a:focus {
    text-decoration: none;
    color: #636466;
    background-color: #f5f5f5;
}

.primary-menu .dropdown-menu-large .disabled > a,
.primary-menu .dropdown-menu-large .disabled > a:hover,
.primary-menu .dropdown-menu-large .disabled > a:focus {
    color: #999999;
}

.primary-menu .dropdown-menu-large .disabled > a:hover,
.primary-menu .dropdown-menu-large .disabled > a:focus {
    text-decoration: none;
    background-color: transparent;
    background-image: none;
}

.primary-menu .nav-pills .nav-link.active,
.nav-pills .show:first-of-type > .nav-link {
    color: #fff;
    background-color: #0089d0;
}

.primary-menu .nav-pills .nav-link.active,
.nav-pills .show:nth-of-type(2) > .nav-link {
    color: #fff;
    background-color: #01a490;
}

.primary-menu .nav-pills .nav-link.active,
.nav-pills .show:nth-of-type(4) > .nav-link {
    color: #fff;
    background-color: #0060af;
}

.primary-menu .nav-pills .show:first-of-type .dropdown-menu {
    background: var(--purple-dk);
    width: 100%;
}

.primary-menu .nav-pills .show:nth-of-type(2) .dropdown-menu {
    background: var(--green-dk);
    width: 100%;
}

.primary-menu .nav-pills .show:nth-of-type(4) .dropdown-menu {
    background: var(--blue-dk);
    width: 100%;
}

.primary-menu .nav-pills #menu-item-705,
.primary-menu .nav-pills #menu-item-705.show > .nav-link {
    background-color: var(--blue-dk);
}
.primary-menu .nav-pills #menu-item-979,
.primary-menu .nav-pills #menu-item-979.show > .nav-link {
    background-color: var(--purple-dk);
}

.primary-menu span.menu-title {
    color: white;
    font-weight: bold;
    font-size: 22px;
    text-transform: uppercase;
}

.primary-menu a.menu-title {
    font-size: 22px;
}

.primary-menu a.menu-title:hover {
    color: var(--purple-md);
    text-decoration: none;
}

.primary-menu hr {
    border-top: 1px solid white;
}

/*************************************************************
RESPONSIVE STYLES
*************************************************************/
@media (min-width: 992px) {
    .online-button {
        text-align: right;
    }
}

@media (max-width: 1400px) {
    .site-title a {
        font-size: 25px;
    }

    /* header .logo img,
    header .logo a {
        max-width: 200px;
    } */

    /* .site-header .btn {
        font-size: 15px;
        padding: 10px;
    } */
}

@media (max-width: 1200px) {
    .col-lg-6.d-flex.justify-content-end.align-items-center a,
    .col-lg-6.d-flex.justify-content-end.align-items-center form {
        display: none;
    }

    .col-lg-6.cold-md-12.d-flex.justify-content-end.align-items-center {
        display: none !important;
    }

    .site-title {
        text-align: center;
    }

    /* .logo a,
    .logo img {
        margin: 0 auto 15px auto;
    } */
}

@media (max-width: 992px) {
    /*top row*/
    .header__logo-col {
        flex: 0 0 90px;
        max-width: 90px;
    }

    /*bottom row*/
    .navbar {
        text-align: center;
    }

    .nav.nav-pills {
        flex-direction: column;
    }

    /* header .logo a,
    header .logo img {
        max-width: 200px;
    } */

    header .site-title a {
        font-size: 20px;
    }

    .menu-item,
    .dropdown-menu.show {
        position: relative;
    }

    .nav-pills .nav-link.active,
    .nav-pills .show > .nav-link {
        background-color: #636466;
    }

    .online-button {
        margin-top: 15px;
    }
}

@media (max-width: 768px) {
    .dropdown-large {
        position: relative !important;
    }

    .dropdown-menu-large > li {
        margin-bottom: 20px;
    }

    .dropdown-menu-large > li:last-child {
        margin-bottom: 0;
    }

    .dropdown-menu-large .dropdown-header {
        padding: 3px 15px !important;
    }
}
